
Core - Feature # 23051

Status: New Priority: Should have
Author: Helmut Hummel Category:
Created: 2010-06-30 Assigned To:
Updated: 2015-01-18 Due date:
PHP Version: 5.2
Complexity:
Sprint Focus:
Subject: Improve t3lib_DB::fullQuoteArray
Description

fullQuoteArray only quotes the field values, not the field names

OTRS
2010011810000016: Sebastian Böttger
(issue imported from #M14937)

Related issues:
related to Core - Task # 28654: Move field info caching to core New 2011-08-01

History
#1 - 2010-06-30 10:59 - Helmut Hummel

Just an Idea how this function could be improved (fullQuoteStr.diff)

#2 - 2010-06-30 14:29 - Susanne Moog

Steffen Ritter: 
"the function getColumns already exists in t3lib_db called admin_get_fields the task would have immense performance impact but: dbal already
cached all these information (internal cache of all db fields available)
it would be an little amount of time (minutes) to move this caching from dbal to core t3lib_db with the moved cache +1"

#3 - 2010-07-17 16:21 - Xavier Perseguers

14937_caching_*.diff patches move cache of all DB fields from DBAL to Core

#4 - 2010-07-17 16:37 - Xavier Perseguers

14937_fullQuoteArray.diff is the patch to be used for this bug once 14937_caching_*.diff patches have been applied. This ensures that it uses cached
information and as such does not "cost" anything!

#5 - 2010-07-17 17:08 - Xavier Perseguers

Just as info, in order to test, you may omit the DBAL patch, it only moves stuff out of it...

#6 - 2011-01-03 00:21 - Helmut Hummel
Hi Xavier,
I'd like to give this one a bump.

By reading I have the following comments:

If I get it right, the sqlparser and the installtool is (only) needed to create the cache entries. So how about not instanciating them in the constructor, but
only when needed during the caching.

Instead of reading all keys with array_keys() into a new array and then checking with in_array(), I would suggest to use arra_key_exists directly.

Other than that it looks good to me and it would be great to get this into 4.5

#7 - 2011-05-03 17:18 - Michael Stucki
- Target version deleted (4.6.0-beta1)

#8 - 2011-08-01 22:23 - Helmut Hummel
- Project changed from Core Security to Core

#9 - 2011-08-02 08:53 - Mr. Hudson

Patch set 2 of change I8cd0640d8f90a83f4c2104e699a597f45ec5e719 has been pushed to the review server.
It is available at http://review.typo3.org/3996

#10 - 2011-08-02 09:02 - Mr. Hudson

Patch set 3 of change I8cd0640d8f90a83f4c2104e699a597f45ec5e719 has been pushed to the review server.
It is available at http://review.typo3.org/3996

#11 - 2011-12-07 02:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/3996

#12 - 2013-07-03 15:30 - Alexander Opitz
- Status changed from Under Review to New

Patch was postponed

#13 - 2015-01-17 15:45 - Mathias Schreiber
- Target version set to 7.4 (Backend)

#14 - 2015-01-18 14:03 - Helmut Hummel
- Assigned To deleted (Helmut Hummel)
Will not work on this any more. Feel free to close or take over

Files
fullQuoteStr.diff 966 Bytes 2010-06-30 Administrator Admin
quoteFieldsInArray.diff 620 Bytes 2010-06-30 Administrator Admin
14937_caching_core.diff 7.7 kB 2010-07-17 Administrator Admin
14937_caching_dbal.diff 7.1 kB 2010-07-17 Administrator Admin
14937_fullQuoteArray.diff 693 Bytes 2010-07-17 Administrator Admin
